﻿Imports System
Imports System.Data
Imports System.Configuration
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls
Imports Telerik.Web.UI
Imports System.Collections
Imports Telerik.Web.UI.GridExcelBuilder
Imports System.IO
Imports System.Text
Imports System.Data.SqlClient

Public Partial Class _Default
	Inherits System.Web.UI.Page
	Private isExport As Boolean = False

	Protected Sub RadGrid1_ItemCommand(source As Object, e As GridCommandEventArgs)
		If e.CommandName = RadGrid.ExportToPdfCommandName Then
			isExport = True
		End If
	End Sub

	Protected Sub RadGrid1_NeedDataSource(source As Object, e As GridNeedDataSourceEventArgs)
		Dim table As New DataTable()
		table.Columns.Add("ID")
		Dim row As Integer = 0
		While row < 4
			table.Rows.Add(row)
			System.Math.Max(System.Threading.Interlocked.Increment(row),row - 1)
		End While
		RadGrid1.DataSource = table
	End Sub
	Protected Sub RadGrid1_ItemDataBound(sender As Object, e As GridItemEventArgs)
		If TypeOf e.Item Is GridDataItem Then
			Dim img1 As Image = TryCast(e.Item.FindControl("Image1"), Image)
            Dim fileName As String = [String].Format("~/ChartImage{0}.png", e.Item.ItemIndex)
			img1.ImageUrl = fileName

			If Not isExport Then
				Dim rc1 As RadChart = TryCast(e.Item.FindControl("RadChart1"), RadChart)
				rc1.Save(Server.MapPath(fileName), System.Drawing.Imaging.ImageFormat.Png)
				img1.ImageUrl = fileName
			Else
				img1.Visible = True
			End If
		End If
	End Sub
End Class