﻿<%@ Page Language="VB" AutoEventWireup="true" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" />
    <div>
        <telerik:RadGrid ID="RadGrid1" runat="server" OnNeedDataSource="RadGrid1_NeedDataSource"
            Width="500px" OnItemDataBound="RadGrid1_ItemDataBound" OnItemCommand="RadGrid1_ItemCommand">
            <ExportSettings ExportOnlyData="false" IgnorePaging="true" OpenInNewWindow="true" />
            <MasterTableView AutoGenerateColumns="false" CommandItemDisplay="Top" BorderStyle="None">
                <CommandItemSettings ShowExportToPdfButton="true" />
                <Columns>
                    <telerik:GridBoundColumn DataField="ID" HeaderText="ID">
                        <HeaderStyle Width="30px" />
                    </telerik:GridBoundColumn>
                    <telerik:GridTemplateColumn HeaderText="Chart" UniqueName="ChartCol">
                        <ItemTemplate>
                            <telerik:RadChart ID="RadChart1" runat="server" DataSourceID="XmlDataSource1" Height="200px"
                                SeriesOrientation="Horizontal">
                                <Series>
                                    <telerik:ChartSeries Name="Price" DataYColumn="Price">
                                    </telerik:ChartSeries>
                                </Series>
                                <PlotArea>
                                    <XAxis>
                                        <AxisLabel>
                                            <Appearance RotationAngle="270">
                                            </Appearance>
                                        </AxisLabel>
                                    </XAxis>
                                    <YAxis>
                                        <AxisLabel>
                                            <Appearance RotationAngle="0">
                                            </Appearance>
                                        </AxisLabel>
                                    </YAxis>
                                    <YAxis2>
                                        <AxisLabel>
                                            <Appearance RotationAngle="0">
                                            </Appearance>
                                        </AxisLabel>
                                    </YAxis2>
                                </PlotArea>
                            </telerik:RadChart>
                            <asp:Image ID="Image1" runat="server" Visible="false" />
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
        <asp:XmlDataSource ID="XmlDataSource1" runat="server" DataFile="~/App_Data/ChartData.xml">
        </asp:XmlDataSource>
    </div>
    </form>
</body>
</html>
